Jailbreak iPod Touch 2G iOS 4 with Sn0wBreeze 1.6.1

iH8Sn0w has released Sn0wbreeze 1.6 to jailbreak iPod Touch 2G, iPhone 3GS and iPhone 3G running iOS 4 firmware. Sn0wBreeze v1.6 is the PwnageTool for Windows users. In this guide you’ll learn how to create a custom firmware using sn0wBreeze v1.6 to jailbreak iPod Touch iOS 4 firmware.
sn0wbreeze ios 4 ipod touch 2g

If you don’t want to go through all the steps below to create custom firmware with Sn0wbreeze, we have also posted Custom iOS 4 ready made with PwnageTool 4.0 here:

or can also use RedSn0w to jailbreak iPod Touch 2G. (Guide linked below)

Sn0wBreeze can jailbreak:

  • iPod Touch 2G (non-MC)
  • iPhone 3GS [Old BootRom + Already Jailbroken but not with Spirit Spirit jailbroken devices are now supported with Sn0wBreeze 1.6.2, Download link has been updated]
  • iPhone 3G
  • iPhone 3GS and 3G guide is here.
  • If you’re already on iOS 4, you are still out of luck. (But iPhone 3G and iPod Touch 2G users can use RedSn0w then)

Sn0wBreeze v1.6 is available for Windows users only. Ok, Let’s jailbreak iPod Touch 2G iOS 4.0 with Sn0wBreeze 1.6.

Disclaimer: This guide is for testing and educational purposes only. Use it at your own risk. We cannot be held responsible if anything goes wrong.

How to Jailbreak iPod Touch 2G iOS 4 with Sn0wBreeze 1.6.1

NOTE: All the required stuff is linked below under Downloads.

Steps to jailbreak iPod Touch 2G running iOS 4.0 firmware are exactly similar to the guide posted earlier. So, please navigate to the guide linked below and follow the same instruction to jailbreak iOS 4 on iPod Touch 2G with Sn0wBreeze.

Fix error 1604, 16xx, 29 During Custom Firmware Restore

You may encounter error error 1604, 1600, 1601, 1602, 1603, or 29 during custom firmware restore. We have compiled possible solutions to this error here:

Downloads

Also checkout:

16 comments… add one
NN June 26, 2010, 12:58 pm

hey, my iphone is 3gs n 05.12(bootrom) and already jailbroken using spirit.can i update it to ios4 and jailbreak it..?

iPhoneHeat June 26, 2010, 10:00 pm

no..

Hesho21 July 1, 2010, 1:59 am

Hey I installed the Ios4 without jailbreaking , then I want to jailbreak it now , is it possible, cuz somebody told me otherwise :S plz reply soon 🙂

iPhoneHeat July 1, 2010, 8:59 am

If it’s iTouch 2G (Old BootRom) Simply run the RedSn0w 0.9.5 b5-5 🙂

Christian May 29, 2014, 3:53 am

Hello all, i have an Ipod 4gen. with IOS 1.6.1 and i try to make Jailbreak but is not working….With Evasi0n i receive an error ” SOrry the version of IOS (10B500) of the attached device is not supported.
With Redsn0w i receive the error ” Exploit Failed” I make DFU mode correct, i have the IOS software allready download ( version 6.0 for Redsn0w) Can i do someting to make Jailbreak for my device?
Manny thanks!

Leave a Comment